Flash Player Plugin для Firefox в Ubuntu / Linux Mint

Fresh Player Plugin позволяет Linux пользователям использовать Pepper Flash (который идет в комплекте с Google Chrome) в Firefox и других NPAPI-совместимых веб-браузерах.

Fresh Player Plugin позволяет воспроизводить звук, видео с YouTube и других сайтов, использовать полноэкранный режим видео, работать с мульти-мониторами и всеми остальными Fresh прелестями современного интернета. Fresh Player Plugin содержится в хранилище PPA.

Напомню, что последние версии Adobe Flash Player доступны на Linux поставляются только через Google Chrome, в то время как для других браузеров Adobe застрял на версии 11.2.

Flash Player firefox Ubuntu / Linux Mint

Adobe Flash Player, который идет в комплекте с Google Chrome в виде PPAPI (или Pepper Plugin API) не интегрируется и не поддерживается в Mozilla.

Вот почему Ринат Ибрагимов решил создать эту обертку. Теперь пользователи Firefox могут использовать последнюю версию Pepper Flash от Google Chrome.

Установка Flash Player 17 Firefox Ubuntu / Linux Mint

Установите Fresh Player Plugin в Ubuntu / Linux Mint и другие подобные с помощью этого PPA репозитория:

Вы также можете установить Fresh Player Plugin, не используя репозитории, а скачать установочный Deb файл. Но такой вариант Вам не предоставит обновлений!

Другие способы получения Flash Player:

Fresh Player Plugin — это просто обертка для libpepflashplayer.so, по сути, просто нужен этот файл, который поставляется совместно с Google Chrome. Для получения этого файла можно просто установить Google Chrome.

Также можно получить libpepflashplayer.so используя репозиторий Pepper Flash-PPA

Но в этих случаях Вам придется самостоятельно делать симлинки или копировать файл libpepflashplayer.so для использования его Firefox-ом

Так что самый простой способ использовать новый Flash Player Plugin — это установить Fresh Player Plugin выше описанным способом.

Чтобы сообщить об ошибках или помочь с его развитием Fresh Player Plugin зайдите на страницу GitHub создателя.

Комментарии:

6 комментариевFlash Player Plugin для Firefox в Ubuntu / Linux Mint

  • empty_field

    Почему же нет пакета для Debian, когда он так нужен?
    При попытке вручную или из добавленного PPA установить его, возникает следующее:
    dpkg: зависимости пакетов не позволяют настроить пакет freshplayerplugin:
    freshplayerplugin зависит от libconfig9, однако:
    Пакет libconfig9 не установлен.
    freshplayerplugin зависит от libevent-pthreads-2.0-5 (>= 2.0.10-stable), однако:
    Пакет libevent-pthreads-2.0-5 не установлен.
    freshplayerplugin зависит от libpulse0 (>= 1:0.99.1), однако:
    Версия libpulse0:amd64 в системе — 6.0-2.
    freshplayerplugin зависит от libsoxr0 (>= 0.1.0), однако:
    Пакет libsoxr0:amd64 не установлен.
    Дистрибутив — Debian Stretch

  • Anon

    Сначала пришлось установить сам Flash Player 11 версии, сверху уже поставил 18 с этого сайта, спасибо.

  • Moze

    Большое человеческое спасибо)

  • Kiro

    Установил как показано в примере, все равно не работает.

  • TrofimKo

    Чувак, ты ГЕНИЙ=)
    Всё работет.
    ОГРОМНОЕ ЧЕЛОВЕЧЕКСКОЕ СПАСИБО!

  • TrofimKo

    Теперь возьмёмся за флеш-игры=)
    Обязательно отпишусь по содержанию=)

Leave a Reply

You can use these HTML tags

<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">